/**
 * Theme functions file.
 *
 * Contains handlers for navigation.
 */

jQuery(function($){
 	"use strict";
   	jQuery('.main-menu-navigation > ul').superfish({
		delay:       500,
		animation:   {opacity:'show',height:'show'},
		speed:       'fast'
   	});

   	$( window ).scroll( function() {
		if ( $( this ).scrollTop() > 200 ) {
			$( '.back-to-top' ).addClass( 'show-back-to-top' );
		} else {
			$( '.back-to-top' ).removeClass( 'show-back-to-top' );
		}
	});

	// Click event to scroll to top.
	$( '.back-to-top' ).click( function() {
		$( 'html, body' ).animate( { scrollTop : 0 }, 500 );
		return false;
	});

	jQuery(function($){
		setTimeout(function(){
			$(".page-loader").delay(1000).fadeOut("slow");
		});
	});
});

function dinero_open() {
	jQuery(".sidenav").addClass('show');
}
function dinero_close() {
	jQuery(".sidenav").removeClass('show');
    jQuery( '.mobile-menu' ).focus();
}

function dinero_menuAccessibility() {
	var links, i, len,
	    dinero_menu = document.querySelector( '.nav-menu' ),
	    dinero_iconToggle = document.querySelector( '.nav-menu ul li:first-child a' );
    
	let dinero_focusableElements = 'button, a, input';
	let dinero_firstFocusableElement = dinero_iconToggle; // get first element to be focused inside menu
	let dinero_focusableContent = dinero_menu.querySelectorAll(dinero_focusableElements);
	let dinero_lastFocusableElement = dinero_focusableContent[dinero_focusableContent.length - 1]; // get last element to be focused inside menu

	if ( ! dinero_menu ) {
    	return false;
	}

	links = dinero_menu.getElementsByTagName( 'a' );

	// Each time a menu link is focused or blurred, toggle focus.
	for ( i = 0, len = links.length; i < len; i++ ) {
	    links[i].addEventListener( 'focus', toggleFocus, true );
	    links[i].addEventListener( 'blur', toggleFocus, true );
	}

	// Sets or removes the .focus class on an element.
	function toggleFocus() {
      	var self = this;

      	// Move up through the ancestors of the current link until we hit .mobile-menu.
      	while (-1 === self.className.indexOf( 'nav-menu' ) ) {
	      	// On li elements toggle the class .focus.
	      	if ( 'li' === self.tagName.toLowerCase() ) {
	          	if ( -1 !== self.className.indexOf( 'focus' ) ) {
	          		self.className = self.className.replace( ' focus', '' );
	          	} else {
	          		self.className += ' focus';
	          	}
	      	}
	      	self = self.parentElement;
      	}
	}
    
	// Trap focus inside modal to make it ADA compliant
	document.addEventListener('keydown', function (e) {
	    let isTabPressed = e.key === 'Tab' || e.keyCode === 9;

	    if ( ! isTabPressed ) {
	    	return;
	    }

	    if ( e.shiftKey ) { // if shift key pressed for shift + tab combination
	      	if (document.activeElement === dinero_firstFocusableElement) {
		        dinero_lastFocusableElement.focus(); // add focus for the last focusable element
		        e.preventDefault();
	      	}
	    } else { // if tab key is pressed
	    	if (document.activeElement === dinero_lastFocusableElement) { // if focused has reached to last focusable element then focus first focusable element after pressing tab
		      	dinero_firstFocusableElement.focus(); // add focus for the first focusable element
		      	e.preventDefault();
	    	}
	    }
	});   
}

jQuery(function($){
	$('.mobile-menu').click(function () {
	    dinero_menuAccessibility();
  	});

	new WOW().init();  
});

(function( $ ) {

	//teams Owl Carousel
	jQuery(document).ready(function() {
		var owl = jQuery('.page-template-dinero #service-section .owl-carousel');
		owl.owlCarousel({
			nav: true,
			autoplay:false,
			autoplayTimeout:2000,
			autoplayHoverPause:true,
			loop: true,
			navText : ['<i class="fas fa-arrow-left" aria-hidden="true"></i>','<i class="fas fa-arrow-right" aria-hidden="true"></i>'],
			responsive: {
			  	0: {
			    	items: 1
			  	},
			  	600: {
			    	items: 2
			  	},
			  	1000: {
			   		items: 3
				}
			}
		})
	});
	
	$(window).scroll(function(){
	  	var sticky = $('.dinero-header'),
	    scroll = $(window).scrollTop();

	  	if (scroll >= 100) sticky.addClass('sticky-header');
	  	else sticky.removeClass('sticky-header');
	});
})( jQuery );