<?php 

	$dinero_custom_style = '';

	// Logo Size
	$dinero_logo_top_margin = get_theme_mod('dinero_logo_top_margin');
	$dinero_logo_bottom_margin = get_theme_mod('dinero_logo_bottom_margin');
	$dinero_logo_left_margin = get_theme_mod('dinero_logo_left_margin');
	$dinero_logo_right_margin = get_theme_mod('dinero_logo_right_margin');

	if( $dinero_logo_top_margin != '' || $dinero_logo_bottom_margin != '' || $dinero_logo_left_margin != '' || $dinero_logo_right_margin != ''){
		$dinero_custom_style .=' .logo {';
			$dinero_custom_style .=' margin-top: '.esc_attr($dinero_logo_top_margin).'px; margin-bottom: '.esc_attr($dinero_logo_bottom_margin).'px; margin-left: '.esc_attr($dinero_logo_left_margin).'px; margin-right: '.esc_attr($dinero_logo_right_margin).'px;';
		$dinero_custom_style .=' }';
	}

	// ----- without slider shortcode css -----
	if (get_theme_mod('dinero_slider_section_option', 'Luzuk Slider') == 'Other Plugin Slider') {
		if( get_theme_mod('dinero_slider_shortcode','') == ''){
			$dinero_custom_style .=' .page-template-dinero #header { ';
				$dinero_custom_style .=' position:static; border-bottom: 1px solid #7739fd;';
			$dinero_custom_style .=' }';

			$dinero_custom_style .=' .inquiry-btn { ';
				$dinero_custom_style .=' border-radius: 0;';
			$dinero_custom_style .=' }';
		}
	}

	// Menu Animation
	if( get_theme_mod('dinero_submenu_animation','Default') == 'fadeInUp'){
		$dinero_custom_style .=' .nav-menu ul li:hover > ul { ';
			$dinero_custom_style .=' display: block; -ms-animation: fadeInUp .3s ease-in-out; -webkit-animation: fadeInUp .3s ease-in-out; animation: fadeInUp .3s ease-in-out;';
		$dinero_custom_style .=' }';

		$dinero_custom_style .=' .nav-menu ul li:hover ul li:hover > ul { ';
			$dinero_custom_style .=' display: block; left: 214px; -ms-animation: fadeInRight .3s ease-in-out; -webkit-animation: fadeInRight .3s ease-in-out; animation: fadeInRight .3s ease-in-out;';
		$dinero_custom_style .=' }';

	} elseif( get_theme_mod('dinero_submenu_animation','Default') == 'zoomIn'){
		$dinero_custom_style .=' .nav-menu ul li:hover > ul { ';
			$dinero_custom_style .=' display: block;
				-ms-animation: zoomIn .3s ease-in-out;
			    -webkit-animation: zoomIn .3s ease-in-out;
			    animation: zoomIn .3s ease-in-out;';
		$dinero_custom_style .=' }';

		$dinero_custom_style .=' .nav-menu ul li:hover ul li:hover > ul { ';
			$dinero_custom_style .=' left: 214px;';
		$dinero_custom_style .=' }';

	}elseif( get_theme_mod('dinero_submenu_animation','Default') == 'slideInUp'){
		$dinero_custom_style .=' .nav-menu ul li:hover > ul { ';
			$dinero_custom_style .=' display: block;
				-ms-animation: slideInUp .5s ease-in-out;
			    -webkit-animation: slideInUp .5s ease-in-out;
			    animation: slideInUp .5s ease-in-out;';
		$dinero_custom_style .=' }';

		$dinero_custom_style .=' .nav-menu ul li:hover ul li:hover > ul { ';
			$dinero_custom_style .=' left: 214px;';
		$dinero_custom_style .=' }';

	}elseif( get_theme_mod('dinero_submenu_animation','Default') == 'flipInY'){
		$dinero_custom_style .=' .nav-menu ul li:hover > ul { ';
			$dinero_custom_style .=' display: block;
				-ms-animation: flipInY .8s ease-in-out;
			    -webkit-animation: flipInY .8s ease-in-out;
			    animation: flipInY .8s ease-in-out;';
		$dinero_custom_style .=' }';

		$dinero_custom_style .=' .nav-menu ul li:hover ul li:hover > ul { ';
			$dinero_custom_style .=' left: 214px;';
		$dinero_custom_style .=' }';

	}

	// Logo Size
	$dinero_logo_size = get_theme_mod('dinero_logo_size');
	$dinero_logo_height = get_theme_mod('dinero_logo_height');
	if( $dinero_logo_size != '' || $dinero_logo_height != ''){
		$dinero_custom_style .= ' .logo .custom-logo-link img{';
			$dinero_custom_style .= ' width: '.esc_attr($dinero_logo_size).'%;  height: '.esc_attr($dinero_logo_height).'px;';
		$dinero_custom_style .= ' }';
	}

	// Menu style
	$dinero_menu_color = get_theme_mod('dinero_menu_color');
	if( $dinero_menu_color != ''){
		$dinero_custom_style .= ' .nav-menu ul li a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_menu_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_menu_hover_color = get_theme_mod('dinero_menu_hover_color');
	if( $dinero_menu_hover_color != ''){
		$dinero_custom_style .= ' .nav-menu ul li a:hover{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_menu_hover_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_active_menu_color = get_theme_mod('dinero_active_menu_color');
	if( $dinero_active_menu_color != ''){
		$dinero_custom_style .= ' .nav-menu ul li.current_page_item a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_active_menu_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_dropdown_menu_color = get_theme_mod('dinero_dropdown_menu_color');
	if( $dinero_dropdown_menu_color != ''){
		$dinero_custom_style .= ' .nav-menu ul ul li a, .nav-menu ul li.current_page_item ul a, .nav-menu ul li.current_page_item ul a:hover{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_dropdown_menu_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_dropdown_bg_menu_color = get_theme_mod('dinero_dropdown_bg_menu_color');
	if( $dinero_dropdown_bg_menu_color != ''){
		$dinero_custom_style .= ' .nav-menu ul ul a, .nav-menu ul li.current_page_item ul a{';
			$dinero_custom_style .= ' background-color: '.esc_attr($dinero_dropdown_bg_menu_color).';';
		$dinero_custom_style .= ' }';
		$dinero_custom_style .= ' .nav-menu ul ul {';
			$dinero_custom_style .= ' border-color: '.esc_attr($dinero_dropdown_bg_menu_color).';';
		$dinero_custom_style .= ' }'; 
	}

	if( get_theme_mod('dinero_menu_case','Default') == 'Uppercase'){
		$dinero_custom_style .=' .nav-menu ul li a { ';
			$dinero_custom_style .=' text-transform: uppercase;';
		$dinero_custom_style .=' }';

	} elseif( get_theme_mod('dinero_menu_case','Default') == 'Capitalize'){
		$dinero_custom_style .=' .nav-menu ul li a { ';
			$dinero_custom_style .=' text-transform: capitalize;';
		$dinero_custom_style .=' }';

	}elseif( get_theme_mod('dinero_menu_case','Default') == 'Lowercase'){
		$dinero_custom_style .=' .nav-menu ul li a { ';
			$dinero_custom_style .=' text-transform: lowercase;';
		$dinero_custom_style .=' }';

	}

	$dinero_menu_font_size = get_theme_mod('dinero_menu_font_size');
	if( $dinero_menu_font_size != ''){
		$dinero_custom_style .= ' .nav-menu ul li a{';
			$dinero_custom_style .= ' font-size: '.esc_attr($dinero_menu_font_size).'px;';
		$dinero_custom_style .= ' }';
	}

	$dinero_menu_font_weight = get_theme_mod('dinero_menu_font_weight',600);
	if( $dinero_menu_font_weight != ''){
		$dinero_custom_style .= ' .nav-menu ul li a{';
			$dinero_custom_style .= ' font-weight: '.esc_attr($dinero_menu_font_weight).';';
		$dinero_custom_style .= ' }';
	}

	// header bg style
	$dinero_header_bg_color = get_theme_mod('dinero_header_bg_color');
	if( $dinero_header_bg_color != ''){
		$dinero_custom_style .= ' .topbar{';
			$dinero_custom_style .= ' background: '.esc_attr($dinero_header_bg_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_header_image = get_theme_mod('dinero_header_image');
	if($dinero_header_image != false){
		$dinero_custom_style .='.bottom-header{';
			$dinero_custom_style .='background: url('.esc_attr($dinero_header_image).');';
		$dinero_custom_style .='}';
	}

	$dinero_site_title_color = get_theme_mod('dinero_site_title_color');
	if( $dinero_site_title_color != ''){
		$dinero_custom_style .= ' h1.site-title a, p.site-title a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_site_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_site_text_color = get_theme_mod('dinero_site_text_color');
	if( $dinero_site_text_color != ''){
		$dinero_custom_style .= ' .topbar p.site-description{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_site_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_mail_phone_icon_color = get_theme_mod('dinero_mail_phone_icon_color');
	if( $dinero_mail_phone_icon_color != ''){
		$dinero_custom_style .= ' p.email i, .phone i{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_mail_phone_icon_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_mail_phone_text_color = get_theme_mod('dinero_mail_phone_text_color');
	if( $dinero_mail_phone_text_color != ''){
		$dinero_custom_style .= ' p.email, .phone a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_mail_phone_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_social_icon_color = get_theme_mod('dinero_social_icon_color');
	if( $dinero_social_icon_color != ''){
		$dinero_custom_style .= ' .social-icons i{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_social_icon_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_social_icon_hover_color = get_theme_mod('dinero_social_icon_hover_color');
	if( $dinero_social_icon_hover_color != ''){
		$dinero_custom_style .= ' .social-icons i:hover{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_social_icon_hover_color).';';
		$dinero_custom_style .= ' }';
	}

	// Blog Page css
	$dinero_blog_post_title_color = get_theme_mod('dinero_blog_post_title_color');
	if( $dinero_blog_post_title_color != ''){
		$dinero_custom_style .= ' .blog .article_content h3{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_metabox_text_color = get_theme_mod('dinero_blog_metabox_text_color');
	if( $dinero_blog_metabox_text_color != ''){
		$dinero_custom_style .= ' .blog .metabox span{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_metabox_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_metabox_icon_color = get_theme_mod('dinero_blog_metabox_icon_color');
	if( $dinero_blog_metabox_icon_color != ''){
		$dinero_custom_style .= ' .blog .metabox span i{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_metabox_icon_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_metabox_bg_color = get_theme_mod('dinero_blog_metabox_bg_color');
	if( $dinero_blog_metabox_bg_color != ''){
		$dinero_custom_style .= ' .blog .metabox {';
			$dinero_custom_style .= ' background: '.esc_attr($dinero_blog_metabox_bg_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_post_text_color = get_theme_mod('dinero_blog_post_text_color');
	if( $dinero_blog_post_text_color != ''){
		$dinero_custom_style .= ' .blog .article_content p{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_post_button_text_color = get_theme_mod('dinero_blog_post_button_text_color');
	if( $dinero_blog_post_button_text_color != ''){
		$dinero_custom_style .= ' .blog .article_content .read-btn a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_button_text_color).'; -webkit-text-fill-color: '.esc_attr($dinero_blog_post_button_text_color).'; background: none;';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_post_button_hover_color = get_theme_mod('dinero_blog_post_button_hover_color');
	if( $dinero_blog_post_button_hover_color != ''){
		$dinero_custom_style .= ' .blog .article_content .read-btn a:hover{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_button_hover_color).'; -webkit-text-fill-color: '.esc_attr($dinero_blog_post_button_hover_color).'; background: none;';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_post_category_color = get_theme_mod('dinero_blog_post_category_color');
	if( $dinero_blog_post_category_color != ''){
		$dinero_custom_style .= ' .blog-post-category a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_category_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_post_category_icon_color = get_theme_mod('dinero_blog_post_category_icon_color');
	if( $dinero_blog_post_category_icon_color != ''){
		$dinero_custom_style .= ' .blog-post-category i{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_category_icon_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_blog_post_tags_color = get_theme_mod('dinero_blog_post_tags_color');
	$dinero_blog_post_tags_icon_color = get_theme_mod('dinero_blog_post_tags_icon_color');
	if( $dinero_blog_post_tags_color != ''){
		$dinero_custom_style .= ' .blog-post-tags a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_tags_color).';';
		$dinero_custom_style .= ' }';
	}
	if($dinero_blog_post_tags_icon_color != ''){
		$dinero_custom_style .= ' .blog-post-tags i{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_blog_post_tags_icon_color).';';
		$dinero_custom_style .= ' }';
	}

	// Service Section css
	$dinero_service_top_padding = get_theme_mod('dinero_service_top_padding');
	$dinero_service_bottom_padding = get_theme_mod('dinero_service_bottom_padding');
	$dinero_service_left_padding = get_theme_mod('dinero_service_left_padding');
	$dinero_service_right_padding = get_theme_mod('dinero_service_right_padding');

	if( $dinero_service_top_padding != '' || $dinero_service_bottom_padding != '' || $dinero_service_left_padding != '' || $dinero_service_right_padding != ''){
		$dinero_custom_style .=' .page-template-dinero #service-section {';
			$dinero_custom_style .=' padding-top: '.esc_attr($dinero_service_top_padding).'px; padding-bottom: '.esc_attr($dinero_service_bottom_padding).'px; padding-left: '.esc_attr($dinero_service_left_padding).'px; padding-right: '.esc_attr($dinero_service_right_padding).'px;';
		$dinero_custom_style .=' }';
	}

	$dinero_service_section_bg_color = get_theme_mod('dinero_service_section_bg_color');
	if( $dinero_service_section_bg_color != ''){
		$dinero_custom_style .= ' .page-template-dinero #service-section{';
			$dinero_custom_style .= ' background-color: '.esc_attr($dinero_service_section_bg_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_section_bg_image = get_theme_mod('dinero_service_section_bg_image');
	if( $dinero_service_section_bg_image != ''){
		$dinero_custom_style .= ' .page-template-dinero #service-section .service-bg{';
			$dinero_custom_style .= ' background: url('.esc_attr($dinero_service_section_bg_image).');';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_bg_opacity = get_theme_mod('dinero_service_bg_opacity',1);
	$dinero_custom_style .= ' .page-template-dinero #service-section .service-bg{';
		$dinero_custom_style .= ' opacity: '.esc_attr($dinero_service_bg_opacity).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_image_height = get_theme_mod('dinero_single_post_image_height','350');
	$dinero_custom_style .= ' .single-post-image img{';
		$dinero_custom_style .= ' height: '.esc_attr($dinero_single_post_image_height).'px;';
	$dinero_custom_style .= ' }';

	$dinero_single_post_title_color = get_theme_mod('dinero_single_post_title_color');
	$dinero_custom_style .= ' .article_content h1.single-post{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_title_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_content_color = get_theme_mod('dinero_single_post_content_color');
	$dinero_custom_style .= ' .single-post .article_content p{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_content_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_metabox_bg_color = get_theme_mod('dinero_single_post_metabox_bg_color');
	$dinero_custom_style .= ' .single-post .metabox{';
		$dinero_custom_style .= ' background: '.esc_attr($dinero_single_post_metabox_bg_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_metabox_text_color = get_theme_mod('dinero_single_post_metabox_text_color');
	$dinero_custom_style .= ' .single-post .metabox span{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_metabox_text_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_metabox_icon_color = get_theme_mod('dinero_single_post_metabox_icon_color');
	$dinero_custom_style .= ' .single-post .metabox span i{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_metabox_icon_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_category_color = get_theme_mod('dinero_single_post_category_color');
	$dinero_custom_style .= ' .single-post-category a{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_category_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_category_icon_color = get_theme_mod('dinero_single_post_category_icon_color');
	$dinero_custom_style .= ' .single-post-category i{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_category_icon_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_tags_icon_color = get_theme_mod('dinero_single_post_tags_icon_color');
	$dinero_custom_style .= ' .single-post-tags i{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_tags_icon_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_tags_color = get_theme_mod('dinero_single_post_tags_color');
	$dinero_custom_style .= ' .single-post-tags a{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_tags_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_comment_title_color = get_theme_mod('dinero_single_post_comment_title_color');
	$dinero_custom_style .= '#comments h3#reply-title, #comments h2.comments-title{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_comment_title_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_comment_text_color = get_theme_mod('dinero_single_post_comment_text_color');
	$dinero_custom_style .= '#comments p{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_comment_text_color).';';
	$dinero_custom_style .= ' }';

	$dinero_single_post_comment_date_color = get_theme_mod('dinero_single_post_comment_date_color');
	$dinero_custom_style .= '#comments .comment-metadata a time{';
		$dinero_custom_style .= ' color: '.esc_attr($dinero_single_post_comment_date_color).';';
	$dinero_custom_style .= ' }';

	// About Section css
	$dinero_about_top_padding = get_theme_mod('dinero_about_top_padding');
	$dinero_about_bottom_padding = get_theme_mod('dinero_about_bottom_padding');
	$dinero_about_left_padding = get_theme_mod('dinero_about_left_padding');
	$dinero_about_right_padding = get_theme_mod('dinero_about_right_padding');

	if( $dinero_about_top_padding != '' || $dinero_about_bottom_padding != '' || $dinero_about_left_padding != '' || $dinero_about_right_padding != ''){
		$dinero_custom_style .=' .page-template-dinero #about-section {';
			$dinero_custom_style .=' padding-top: '.esc_attr($dinero_about_top_padding).'px; padding-bottom: '.esc_attr($dinero_about_bottom_padding).'px; padding-left: '.esc_attr($dinero_about_left_padding).'px; padding-right: '.esc_attr($dinero_about_right_padding).'px;';
		$dinero_custom_style .=' }';
	}

	$dinero_about_section_bg_color = get_theme_mod('dinero_about_section_bg_color');
	if( $dinero_about_section_bg_color != ''){
		$dinero_custom_style .= ' .page-template-dinero #about-section{';
			$dinero_custom_style .= ' background-color: '.esc_attr($dinero_about_section_bg_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_about_section_bg_image = get_theme_mod('dinero_about_section_bg_image');
	if( $dinero_about_section_bg_image != ''){
		$dinero_custom_style .= ' .page-template-dinero #about-section .about-bg{';
			$dinero_custom_style .= ' background: url('.esc_attr($dinero_about_section_bg_image).');';
		$dinero_custom_style .= ' }';
	}

	$dinero_about_bg_opacity = get_theme_mod('dinero_about_bg_opacity',1);
	$dinero_custom_style .= ' .page-template-dinero #about-section .about-bg{';
		$dinero_custom_style .= ' opacity: '.esc_attr($dinero_about_bg_opacity).';';
	$dinero_custom_style .= ' }';

	// About Section text colors
	$dinero_about_small_title_color = get_theme_mod('dinero_about_small_title_color');
	if( $dinero_about_small_title_color != ''){
		$dinero_custom_style .= ' .page-template-dinero #about-section p.small-title{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_about_small_title_color).'; -webkit-text-fill-color: '.esc_attr($dinero_about_small_title_color).';';
		$dinero_custom_style .= ' }';
		$dinero_custom_style .= ' .page-template-dinero #about-section p.small-title:after{';
			$dinero_custom_style .= ' background: '.esc_attr($dinero_about_small_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_about_section_title_color = get_theme_mod('dinero_about_section_title_color');
	if( $dinero_about_section_title_color != ''){
		$dinero_custom_style .= ' #about-section h3{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_about_section_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_about_section_text_color = get_theme_mod('dinero_about_section_text_color');
	if( $dinero_about_section_text_color != ''){
		$dinero_custom_style .= ' #about-section .about-content p{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_about_section_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_about_section_list_color = get_theme_mod('dinero_about_section_list_color');
	if( $dinero_about_section_list_color != ''){
		$dinero_custom_style .= ' #about-section .about-content ol li{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_about_section_list_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_about_button_bg_color = get_theme_mod('dinero_about_button_bg_color');
	$dinero_about_button_color = get_theme_mod('dinero_about_button_color');
	if( $dinero_about_button_bg_color != '' || $dinero_about_button_color != ''){
		$dinero_custom_style .= ' #about-section .about-content a.about-btn{';
			$dinero_custom_style .= ' background: '.esc_attr($dinero_about_button_bg_color).'; color: '.esc_attr($dinero_about_button_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_about_button_hover_bg_color = get_theme_mod('dinero_about_button_hover_bg_color');
	if( $dinero_about_button_hover_bg_color != ''){
		$dinero_custom_style .= ' #about-section .about-content a.about-btn:hover{';
			$dinero_custom_style .= ' background: '.esc_attr($dinero_about_button_hover_bg_color).';';
		$dinero_custom_style .= ' }';
	}

	// Service text colors
	$dinero_service_small_title_color = get_theme_mod('dinero_service_small_title_color');
	if( $dinero_service_small_title_color != ''){
		$dinero_custom_style .= ' .page-template-dinero #service-section .service-head p.small-title{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_service_small_title_color).'; -webkit-text-fill-color: '.esc_attr($dinero_service_small_title_color).';';
		$dinero_custom_style .= ' }';
		$dinero_custom_style .= ' .page-template-dinero #service-section .service-head p.small-title:after{';
			$dinero_custom_style .= ' background: '.esc_attr($dinero_service_small_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_section_title_color = get_theme_mod('dinero_service_section_title_color');
	if( $dinero_service_section_title_color != ''){
		$dinero_custom_style .= ' .page-template-dinero #service-section .service-head h3{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_service_section_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_section_icon_color = get_theme_mod('dinero_service_section_icon_color');
	if( $dinero_service_section_icon_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .service-box .service-icon i{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_service_section_icon_color).'; -webkit-text-fill-color: '.esc_attr($dinero_service_section_icon_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_title_color = get_theme_mod('dinero_service_title_color');
	if( $dinero_service_title_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .service-box h4 a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_service_title_color).'; -webkit-text-fill-color: '.esc_attr($dinero_service_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_text_color = get_theme_mod('dinero_service_text_color');
	if( $dinero_service_text_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .service-box p{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_service_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_button_color = get_theme_mod('dinero_service_button_color');
	if( $dinero_service_button_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .service-box a.read-btn{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_service_button_color).'; -webkit-text-fill-color: '.esc_attr($dinero_service_button_color).'; background-image: none;';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_button_hover_color = get_theme_mod('dinero_service_button_hover_color');
	if( $dinero_service_button_hover_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .service-box a.read-btn:hover{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_service_button_hover_color).'; -webkit-text-fill-color: '.esc_attr($dinero_service_button_hover_color).'; background-image: none;';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_box_color = get_theme_mod('dinero_service_box_color');
	if( $dinero_service_box_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .service-box {';
			$dinero_custom_style .= ' background-color: '.esc_attr($dinero_service_box_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_service_box_hover_color = get_theme_mod('dinero_service_box_hover_color');
	if( $dinero_service_box_hover_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .service-box:hover {';
			$dinero_custom_style .= ' background-color: '.esc_attr($dinero_service_box_hover_color).';';
		$dinero_custom_style .= ' }';
	}

	// Footer css
	$dinero_footer_top_padding = get_theme_mod('dinero_footer_top_padding');
	$dinero_footer_bottom_padding = get_theme_mod('dinero_footer_bottom_padding');

	if( $dinero_footer_top_padding != '' || $dinero_footer_bottom_padding != '' ) {
		$dinero_custom_style .=' #colophon {';
			$dinero_custom_style .=' padding-top: '.esc_attr($dinero_footer_top_padding).'px; padding-bottom: '.esc_attr($dinero_footer_bottom_padding).'px;';
		$dinero_custom_style .=' }';
	}

	$dinero_footer_section_bg_color1 = get_theme_mod('dinero_footer_section_bg_color1');
	$dinero_footer_section_bg_color2 = get_theme_mod('dinero_footer_section_bg_color2');
	if( $dinero_footer_section_bg_color1 != '' || $dinero_footer_section_bg_color2 != ''){
		$dinero_custom_style .= ' #colophon .overlay{';
			$dinero_custom_style .= ' background: linear-gradient(84deg, '.esc_attr($dinero_footer_section_bg_color1).' 0%, '.esc_attr($dinero_footer_section_bg_color2).' 100%);';
		$dinero_custom_style .= ' }';
	}

	$dinero_footer_section_bg_image = get_theme_mod('dinero_footer_section_bg_image');
	if( $dinero_footer_section_bg_image != ''){
		$dinero_custom_style .= ' #colophon{';
			$dinero_custom_style .= ' background: url('.esc_attr($dinero_footer_section_bg_image).');';
		$dinero_custom_style .= ' }';
	}

	$dinero_footer_section_bg_opacity = get_theme_mod('dinero_footer_section_bg_opacity');
	if( $dinero_footer_section_bg_opacity != ''){
		$dinero_custom_style .= ' #colophon .overlay{';
			$dinero_custom_style .= ' opacity: '.esc_attr($dinero_footer_section_bg_opacity).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_widget_title_color = get_theme_mod('dinero_widget_title_color');
	if( $dinero_widget_title_color != ''){
		$dinero_custom_style .= ' #colophon h2.widget-title{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_widget_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_widget_text_color = get_theme_mod('dinero_widget_text_color');
	if( $dinero_widget_text_color != ''){
		$dinero_custom_style .= ' #colophon .widget-area p{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_widget_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_widget_list_color = get_theme_mod('dinero_widget_list_color');
	if( $dinero_widget_list_color != ''){
		$dinero_custom_style .= ' #colophon .widget-area li{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_widget_list_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_widget_anchor_color = get_theme_mod('dinero_widget_anchor_color');
	if( $dinero_widget_anchor_color != ''){
		$dinero_custom_style .= ' #colophon .widget-area a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_widget_anchor_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_widget_anchor_hover_color = get_theme_mod('dinero_widget_anchor_hover_color');
	if( $dinero_widget_anchor_hover_color != ''){
		$dinero_custom_style .= ' #colophon .widget-area a:hover{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_widget_anchor_hover_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_copyright_color = get_theme_mod('dinero_copyright_color');
	if( $dinero_copyright_color != ''){
		$dinero_custom_style .= ' .copyright p, .copyright p a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_copyright_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_footer_social_icon_color = get_theme_mod('dinero_footer_social_icon_color');
	if( $dinero_footer_social_icon_color != ''){
		$dinero_custom_style .= ' .footer-social-icons i{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_footer_social_icon_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_footer_social_icon_hover_color = get_theme_mod('dinero_footer_social_icon_hover_color');
	if( $dinero_footer_social_icon_hover_color != ''){
		$dinero_custom_style .= ' .footer-social-icons i:hover{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_footer_social_icon_hover_color).';';
		$dinero_custom_style .= ' }';
	}

	// Inner Pages css
	$dinero_page_top_padding = get_theme_mod('dinero_page_top_padding');
	$dinero_page_bottom_padding = get_theme_mod('dinero_page_bottom_padding');

	if( $dinero_page_top_padding != '' || $dinero_page_bottom_padding != '' ) {
		$dinero_custom_style .=' .inner-page{';
			$dinero_custom_style .=' padding-top: '.esc_attr($dinero_page_top_padding).'px; padding-bottom: '.esc_attr($dinero_page_bottom_padding).'px;';
		$dinero_custom_style .=' }';
	}

	$dinero_page_text_color = get_theme_mod('dinero_page_text_color');
	if( $dinero_page_text_color != ''){
		$dinero_custom_style .= ' .inner-page .site-main p{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_page_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_page_links_color = get_theme_mod('dinero_page_links_color');
	if( $dinero_page_links_color != ''){
		$dinero_custom_style .= ' .inner-page .site-main a{';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_page_links_color).';';
		$dinero_custom_style .= ' }';
	}

	// Header Image
	$header_image_url = dinero_header_image( $image_url = '' );
	$dinero_custom_style .='#inner-pages-header{';
		$dinero_custom_style .='background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat;';
	$dinero_custom_style .='}';

	// Font Family
	$dinero_heading_font_family = get_theme_mod('dinero_heading_font_family');
	if( $dinero_heading_font_family != ''){
		$dinero_custom_style .= ' h1, h2, h3, h4, h5, h6{';
			$dinero_custom_style .= ' font-family: '.esc_attr($dinero_heading_font_family).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_body_font_family = get_theme_mod('dinero_body_font_family');
	if( $dinero_body_font_family != ''){
		$dinero_custom_style .= ' body{';
			$dinero_custom_style .= ' font-family: '.esc_attr($dinero_body_font_family).';';
		$dinero_custom_style .= ' }';
	}

	//breadcrumb colors
	$dinero_breadcrumb_text_color = get_theme_mod('dinero_breadcrumb_text_color');
	if( $dinero_breadcrumb_text_color != ''){
		$dinero_custom_style .= ' .dinero-breadcrumb a, #inner-pages-header .dinero-breadcrumb a {';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_breadcrumb_text_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_breadcrumb_active_color = get_theme_mod('dinero_breadcrumb_active_color');
	if( $dinero_breadcrumb_active_color != ''){
		$dinero_custom_style .= ' .dinero-breadcrumb span, #inner-pages-header .dinero-breadcrumb span {';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_breadcrumb_active_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_breadcrumb_hover_color = get_theme_mod('dinero_breadcrumb_hover_color');
	if( $dinero_breadcrumb_hover_color != ''){
		$dinero_custom_style .= ' .dinero-breadcrumb a:hover, #inner-pages-header .dinero-breadcrumb a:hover {';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_breadcrumb_hover_color).';';
		$dinero_custom_style .= ' }';
	}
	
	// Teams section style
	$dinero_teams_small_title_color = get_theme_mod('dinero_teams_small_title_color');
	if( $dinero_teams_small_title_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .teams-head p.small-title {';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_teams_small_title_color).'; -webkit-text-fill-color: '.esc_attr($dinero_teams_small_title_color).'; background-image: none;';
		$dinero_custom_style .= ' }';
		$dinero_custom_style .= ' .page-template-dinero .teams-head p.small-title:after {';
			$dinero_custom_style .= ' background: '.esc_attr($dinero_teams_small_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_teams_section_title_color = get_theme_mod('dinero_teams_section_title_color');
	if( $dinero_teams_section_title_color != ''){
		$dinero_custom_style .= ' .page-template-dinero .teams-head h3 {';
			$dinero_custom_style .= ' color: '.esc_attr($dinero_teams_section_title_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_teams_section_bg_color = get_theme_mod('dinero_teams_section_bg_color');
	if( $dinero_teams_section_bg_color != ''){
		$dinero_custom_style .= ' .page-template-dinero #teams-section{';
			$dinero_custom_style .= ' background-color: '.esc_attr($dinero_teams_section_bg_color).';';
		$dinero_custom_style .= ' }';
	}

	$dinero_teams_section_bg_image = get_theme_mod('dinero_teams_section_bg_image');
	if( $dinero_teams_section_bg_image != ''){
		$dinero_custom_style .= ' .page-template-dinero #teams-section .teams-bg{';
			$dinero_custom_style .= ' background: url('.esc_attr($dinero_teams_section_bg_image).');';
		$dinero_custom_style .= ' }';
	}

	$dinero_teams_section_bg_opacity = get_theme_mod('dinero_teams_section_bg_opacity',1);
	$dinero_custom_style .= ' .page-template-dinero #teams-section .teams-bg{';
		$dinero_custom_style .= ' opacity: '.esc_attr($dinero_teams_section_bg_opacity).';';
	$dinero_custom_style .= ' }';