<?php
/**
 * Template part for displaying posts
 *
 * @subpackage Dinero
 * @since 1.0
 * @version 1.4
 */
?>
<div class="col-lg-4 col-md-4">
	<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service grid-layout'); ?>>
    <div class="article_content">
      <h3><?php the_title(); ?></h3>
      <?php if(has_post_thumbnail() && get_theme_mod ('dinero_show_thumbnail_image',true) == true) { ?>
        <?php the_post_thumbnail(); ?>
      <?php }?>
      <p><?php $dinero_excerpt = get_the_excerpt(); echo esc_html( dinero_string_limit_words( $dinero_excerpt, esc_attr(get_theme_mod('dinero_blog_post_excerpt','30')) ) ); ?></p>
      <?php if (get_theme_mod('dinero_blog_post_button_text','Read More') != '') { ?>
        <div class="read-btn">
          <a href="<?php the_permalink(); ?>"><span><?php echo  esc_html(get_theme_mod('dinero_blog_post_button_text',__('Read More','dinero'))); ?></i></span><span class="screen-reader-text"><?php echo  esc_html(get_theme_mod('dinero_blog_post_button_text',__('Read More','dinero'))); ?></span></a>
        </div>
      <?php }?>
      <?php if (get_theme_mod('dinero_show_category',false) != false) {?>
        <div class="blog-post-category px-4"><i class="fas fa-folder-open mr-2"></i><?php the_category(', '); ?></div>
      <?php }?>
      <?php if (get_theme_mod('dinero_show_tags',false) != false && get_the_tags()) {?>
        <div class="blog-post-tags mt-3 px-4">
          <i class="fas fa-tags mr-2"></i><?php echo get_the_tag_list('<p>',', ','</p>'); ?>
        </div>
      <?php }?>
      <div class="clearfix"></div>
    </div>
  </article>
</div>